LINUX.ORG.RU

The Dark Unity of the Numix

 ,


5

1

Много воды утекло за два года, со времен предыдущего скриншота, много DE, шрифтов и тем было поменяно, но в итоге, все вернулось к той же Unity с тем же Numix'ом.
Итого:

• Ubuntu 15.10
• GTK - немножко подпиленная Numix
• Иконки - Numix (базовый пакет) + numix-folders + ubuntu-mono-dark

Терминал + ФМ
IntelliJ IDEA + Scene Builder
Clementine + Photoshop CC 2015
Обоина

>>> Просмотр (1366x768, 79 Kb)



Проверено: JB ()

Numix и Unity это, конечно, не нужно, но выглядит неплохо, за исключением шрифтов в IDE и фотошопе.

sudopacman ★★★★★ ()
Ответ на: комментарий от sudopacman

Уже отчаялся сделать что-то со шрифтами в Java, если кто ответит мне, почему они в ней все выглядят как Г, буду очень признателен. А настроить шрифты в вайне просто руки не дошли, все равно два раза в месяц запускается.

goroskob ()

Неплохо, аккуратненько. ШГ в Java — дичайший вырвиглаз. Я-то думал, что хуже, чем у меня в браузераш ШГ быть не может.

r3lgar ★★★★★ ()

у вас глобальное меню сломалось.

t184256 ★★★★★ ()

Музыкальные вкусы отличные!

dvrts ★★★ ()
Ответ на: комментарий от goroskob
export _JAVA_OPTIONS='-Dawt.useSystemAAFontSettings=on -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel'
export JAVA_FONTS=/usr/share/fonts/TTF

У меня работает везде. Ну и шрифты более-менее удобоваримы, хоть и отличаются немного от системных иногда.

pztrn ★★★★ ()
Ответ на: комментарий от goroskob

для убунты есть ппа с патченной джавой на счёт шрифтов

amorpher ★★★★★ ()

ФШ под вайном работает? по-особенному как-то ставить надо? а то гимп задолбал просто.

fr0zclr ()

С каких пор фотошоп начали выпускать под линукс?

w1nner ★★★★★ ()
Ответ на: комментарий от goroskob

Нормальные ШГ в IntelliJ IDEA (на Ubuntu 14.04 работает)

  1. wget http://urshulyak.com:85/jdk-8u5-tuxjdk-b08.tar.gz &&
    tar -zxvf jdk-8u5-tuxjdk-b08.tar.gz &&
    sudo mv jdk-8u5-tuxjdk-b08 /usr/lib/jvm &&
    rm jdk-8u5-tuxjdk-b08.tar.gz
  2. Надо найти в гугле и установить шрифт Terminus Re33.
  3. Тут лежит конфиг запуска IDEA: https://yadi.sk/d/woEbQ1rDobT4p
  4. Настроить использование Terminus Re33 в IDEA.
  5. Profit! https://yadi.sk/i/QE5KQ3u7obSmW
ryasal ()

Лютейшее ШГ, причем везде, кроме трея. Тьху, ну и кроме GTK, да.

Пытаюсь понять, где в этой Unity панель.

DeadEye ★★★★★ ()
Последнее исправление: DeadEye (всего исправлений: 1)
Ответ на: комментарий от t184256

Не сломалось, оно не работает лишь в java. Раньше в убунте была jayatana, которая исправляла это, но в ней обнаружились какие-то баги, и ее выпилили.

goroskob ()

В идее шрифты ещё ничего, мелковаты только на мой вкус. А вот в остальных местах мыло.

Тут советуют в треде патченую openjdk, так вот в ней jfx нет (а автор в scenebuilder что-то ковыряет), и корректная работа идеи на ней не гарантируется

Midael ★★★★★ ()
Последнее исправление: Midael (всего исправлений: 2)

1. ШГ в IDEA исправить можно
2. Photoshop - у тебя GDIplus виновый или из винды?
3. Nautilus с заголовком и панелью отдельно выглядит ужасно, лучше накати spacefm

mystery ★★ ()
Ответ на: комментарий от fr0zclr

Да он еще с версии CS4 работает идеально изкаропки
Все нужные библиотеки VisualC++ идут с самим шопом
Если пиратить - то лучше сборку JFK2005 или portable от punsh
Ну и лучше ставить СS6 или CS4 как самые стабильные
CC 2014 работает хорошо, CC 2015 немного нестабилен ГУЙ, бывает в настройках кнопочки пропадают
Для того, что бы поставить - запускаешь Winecfg, выбираешь Windows 7, потом просто запускаешь и работаешь
Проблема одна - установщик, лучше скачать сборку и добавить свой аккаунт и использовать уже лицензию (модераторы, это нормально, новый способ распространения фотошопа - по подписке, переход на лицензию и обратно - нормально, если нету денег на продление)

Если не знаешь какую выбрать - ставь CS6, у нее статус Platinum и версию системы менять не надо, хотя если будут проблемы - можно выбрать будет Server2008)

Раньше о таком можно было мечтать, а все спасибо Adobe, софт который использует Node.JS для внутренних нужд и максимально сильно отвязывают софт от системы. Для рендера фотошоп уже давно использует OpenGL и OpenCL, которые работает в вайне стабильно

Удачи, вобщем

mystery ★★ ()
Ответ на: комментарий от mystery

2. Все либы (стоят atmlib, gdiplus, msxml3, msxml6, vcrun версий с 2005 по 2013(!)) - из winetricks. В winecfg -> Libraries обязательно msvcr120 установить Native. Вайн желательно поновее, т.к. еще в ранних 1.7.* был баг, приводящий к постоянным крашам. Фотошоп тоже должен быть CC 2015, поновее (у меня 2015.1 r301), 2014 инсталлятором не ставится. А вообще, лучше CS6 установить, стабильнее будет.

goroskob ()
Ответ на: комментарий от goroskob

Я знаю, как ставить
Как понимаю, ты используешь 32-битную версию?

mystery ★★ ()
Ответ на: комментарий от mystery

Ничего, может кому поможет.
Ага, какая завелась раньше.

goroskob ()
Ответ на: комментарий от Midael

Не могу найти пруф, но Оракл вроде хоронит JavaFx. Автор, задумайся.

ryasal ()

А где панель Unity? На первом скрине панели невидно...

Odalist ★★★★★ ()

Человек с моего аватара смотрит на обоину с одобрительной ностальгией.

hobbit ★★★★★ ()

Нормально!
Такой вопрос: хоткеи в идеи работают на русской раскладке?

ii8_ ★★★★ ()
Ответ на: комментарий от Odalist

Автоматически прячется за левый край, на третьем скриншоте видно.

goroskob ()
Ответ на: комментарий от ii8_

Не работают, и не заработают пока ibus не обновят до 1.5.11. В Ubuntu 16.04 должно уже работать.

goroskob ()
Ответ на: комментарий от goroskob

хм. я почемуто думал что это проблема Unity, а не ibus... Хз, чего.. Но в гном версии убунты всё ок было.

ii8_ ★★★★ ()
Последнее исправление: ii8_ (всего исправлений: 1)
Ответ на: комментарий от fr0zclr

Опять же, лучше CS6 нету ничего
И функций много новых, и плагины Analog Efex, Color Efex, Google Nik и еще какие-то
И работа стабильная, потому что официально совместима с WinXP, а текущее состояние WinAPI в Wine - что-то между XP и 7
И не требует много, OpenCL, OpenGL - сказка!
А еще нету этого Creative Cloud, который вроде бы хорошая штука, но говно

mystery ★★ ()
Последнее исправление: mystery (всего исправлений: 1)

Чот обновился нумикс и цвета gtk3 приложений не меняются. Жаль, жаль...

ipeacocks ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.